<?php

namespace ModernFields\FieldGroups\Services;

use ModernFields\FieldGroups\Entities\FieldGroup;
use ModernFields\FieldGroups\Repositories\FieldGroupRepository;

defined('ABSPATH') || exit;

/**
 * Field Groups Service
 * 
 * Provides methods to retrieve and display field values in WordPress templates.
 * 
 * @since 1.0.0
 * @param int $id The ID of the field group to retrieve.
 */
class FieldGroupsService
{
  public function getFieldGroup(int $id): ?FieldGroup
  {
    return FieldGroupRepository::getFieldGroupById($id);
  }
}
